Skip to main content
POST
/
v1
/
integrations
/
{type}
/
{provider}
/
connect
Start OAuth connection
curl --request POST \
  --url https://app.nex.ai/api/developers/v1/integrations/{type}/{provider}/connect \
  --header 'Authorization: <api-key>'
{
  "auth_url": "https://accounts.google.com/o/oauth2/v2/auth?...",
  "connect_id": "eyJ3Ijo..."
}

Authorizations

Authorization
string
header
required

API key for authentication (format: "Bearer YOUR_API_KEY")

Path Parameters

type
enum<string>
required

Integration type

Available options:
email,
calendar,
messaging,
crm
provider
enum<string>
required

Integration provider

Available options:
google,
microsoft,
slack,
attio,
hubspot,
salesforce

Response

OAuth authorization URL and connect ID for polling

auth_url
string

OAuth authorization URL. Open this in a browser for the user to grant access.

Example:

"https://accounts.google.com/o/oauth2/v2/auth?..."

connect_id
string

Encrypted token to poll for connection status. Expires after 10 minutes.

Example:

"eyJ3Ijo..."

Last modified on March 7, 2026